## org.eclipse.emf.spi.cdo
Interface InternalCDOXATransaction.InternalCDOXACommitContext

All Superinterfaces:
  java.util.concurrent.Callable<java.lang.Object>, CDOCommitContext, CDOIDProvider, InternalCDOTransaction.InternalCDOCommitContext

Enclosing interface:
  InternalCDOXATransaction

    public static interface InternalCDOXATransaction.InternalCDOXACommitContext

extends java.util.concurrent.Callable<java.lang.Object>, CDOIDProvider, InternalCDOTransaction.InternalCDOCommitContext

Since:
  2.0

Method Summary
`java.util.Map<org.eclipse.emf.cdo.internal.common.id.CDOIDExternalTempImpl,InternalCDOTransaction>` `getRequestedIDs()`
`CDOSessionProtocol.CommitTransactionResult` `getResult()`
`InternalCDOXATransaction` `getTransactionManager()`

Methods inherited from interface java.util.concurrent.Callable
`call`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIDProvider
`provideCDOID`

Methods inherited from interface org.eclipse.emf.spi.cdo.InternalCDOTransaction.InternalCDOCommitContext
`getTransaction, postCommit, preCommit`

Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOCommitContext
`getDetachedObjects, getDirtyObjects, getNewObjects, getNewPackageUnits, getNewResources, getRevisionDeltas`

Method Detail

### getTransactionManager

    InternalCDOXATransaction getTransactionManager()

### getRequestedIDs

    java.util.Map<org.eclipse.emf.cdo.internal.common.id.CDOIDExternalTempImpl,InternalCDOTransaction> getRequestedIDs()

### getResult

    CDOSessionProtocol.CommitTransactionResult getResult()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.